---
- hosts: localhost
  gather_facts: false
  tasks:
  
  - name: get all info from tower api
    uri:
      url_username: {{ tower_username }}
      url_password: {{ tower_password }}
      force_basic_auth: yes
      url: "https://{{ tower_url }}/api/v2/workflow_jobs/{{ hostvars.localhost.awx_workflow_job_id }}/workflow_nodes"
      method: GET
      return_content: yes
      body_format: json
      validate_certs: no
    register: result

  - name: iterate over all jobs and send fialed ones to splunk
    include: send_failed_job_to_splunk.yml
    loop: "{{ result.json.results }}"



